package com.vendor.burn.utilitily;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.burn.utilitily.FileUtils;
import com.vendor.burn.utilitily.ToolUtils;
import java.io.File;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.util.zip.GZIPOutputStream;
import org.apache.commons.io.FileUtils;
import org.eclipse.core.runtime.IProgressMonitor;

public abstract class GZipUtils {
  public static final int BUFFER = 65536;
  
  public static final String EXT = ".gz";
  
  private static final String ZIP = ".zip";
  
  public static File compress(IProgressMonitor uimonitor, File file, boolean delete, boolean tftpOccupied) {
    FileInputStream fis = null;
    FileOutputStream fos = null;
    try {
      fis = new FileInputStream(file);
      String outPutFileName = null;
      if (tftpOccupied) {
        outPutFileName = file.getPath();
      } else {
        outPutFileName = ToolUtils.getInstallPath() + ToolUtils.getInstallPath();
      } 
      fos = new FileOutputStream(outPutFileName + ".gz");
      if (!FileUtils.checkFreeSpace((new File(outPutFileName)).getParent(), file
          .length())) {
        fis.close();
        fos.flush();
        fos.close();
        return null;
      } 
      compress(uimonitor, fis, fos);
      fis.close();
      fos.flush();
      fos.close();
      if (delete)
        FileUtils.deleteFile(file); 
      File gzFile = new File(outPutFileName + ".gz");
      return gzFile;
    } catch (IOException iOException) {
    
    } finally {
      if (fis != null)
        try {
          fis.close();
        } catch (IOException iOException) {} 
      if (fos != null)
        try {
          fos.close();
        } catch (IOException iOException) {} 
    } 
    return null;
  }
  
  public static File compress(File file, boolean isDelete, long size, boolean isSparse, long startOffset, long partStart) {
    FileInputStream fis = null;
    FileOutputStream fos = null;
    try {
      fis = FileUtils.openInputStream(file);
      String outPutFileName = file.getPath();
      String isSparseStr = isSparse ? "y" : "n";
      StringBuffer buffer = new StringBuffer();
      buffer.append(outPutFileName);
      buffer.append("." + partStart);
      buffer.append("." + startOffset);
      buffer.append("." + isSparseStr);
      buffer.append("." + size);
      buffer.append(".zip");
      fos = FileUtils.openOutputStream(new File(buffer.toString()));
      if (!FileUtils.checkFreeSpace((new File(outPutFileName)).getParent(), file
          .length())) {
        fis.close();
        fos.flush();
        fos.close();
        return null;
      } 
      compress(null, fis, fos);
      fis.close();
      fos.flush();
      fos.close();
      if (isDelete)
        FileUtils.deleteFile(file); 
      File gzFile = new File(buffer.toString());
      return gzFile;
    } catch (IOException iOException) {
    
    } finally {
      if (fis != null)
        try {
          fis.close();
        } catch (IOException iOException) {} 
      if (fos != null)
        try {
          fos.close();
        } catch (IOException iOException) {} 
    } 
    return null;
  }
  
  public static void compress(IProgressMonitor uimonitor, InputStream is, OutputStream os) throws IOException {
    GZIPOutputStream gos = new GZIPOutputStream(os, 65536);
    byte[] data = new byte[65536];
    int count;
    while ((count = is.read(data, 0, 65536)) != -1 && (
      uimonitor == null || !uimonitor.isCanceled()))
      gos.write(data, 0, count); 
    gos.finish();
    gos.flush();
    gos.close();
  }
}
